<?php

/**
 * @file
 * Image theme implementation for rendering a block.
 *
 * Available variables:
 * - $dest: The drupal function drupal_get_destination().
 * - $block_title: Block title: "Text Size" or "Zoom".
 * - $list_inline: Display the ul list "inline" or not.
 * - $current_inline: Display the current text size "inline" or not.
 * - $subtitle: The subtitle.
 * - $subtitle_text: "Text Size"/"Zoom" or inline "Text Size: "/"Zoom: ".
 * - $textsize_normal: The text size normal link.
 * - $display_links: Show or hide ("display_hidden") the text in the links.
 * - $current_textsize: The current text size.
 * - $display_current_textsize: Show or hide ("display_hidden") the text of the current textsize.
 * - $display_current_textsize_text: Show or hide ("display_hidden").
 * - $increment: The increment step (default 5%).
 * - $normal: The textsize normal (default 75%).
 * - $current_textsize_text: The current textsize text "Current Size" or "Current Zoom".
 * - $textsize: The current text size (default 100%).
 *
 * @see template_preprocess_textsize_image()
 */
?>
<?php  if ($subtitle): ?>
<h3 class="<?php print $list_inline; ?>"><?php print $subtitle_text; ?></h3>
<?php endif; ?>
<ul class="textsize_<?php print $list_inline .' '. $current_inline;  ?>">
<?php  if ($textsize_increase): ?>
  <li class="ts_increase"><?php print l('<img src="'. base_path() . path_to_theme() .'/images/increase_16.gif" width="16px" height="16px" alt="'. t('Increase') .'" class="ts_increase text_display_hidden ts_rollover" />', 'textsize/increase', array('attributes' => array('title' => $block_title .': '. t('Increase') .' +'. $increment .'%', 'class' => 'ts_increase text_display_hidden ts_rollover', 'rel' => 'nofollow'), 'query' => $dest, 'html' => TRUE)); ?></li>
<?php endif; ?>
<?php  if ($textsize_decrease): ?>
  <li class="ts_decrease"><?php print l('<img src="'. base_path() . path_to_theme() .'/images/decrease_16.gif" width="16px" height="16px" alt="'. t('Decrease') .'" class="ts_decrease text_display_hidden ts_rollover" />', 'textsize/decrease', array('attributes' => array('title' => $block_title .': '. t('Decrease') .' -'. $increment .'%', 'class' => 'ts_decrease text_display_hidden ts_rollover', 'rel' => 'nofollow'), 'query' => $dest, 'html' => TRUE)); ?></li>
<?php endif; ?>
<?php  if ($textsize_normal): ?>
  <li class="ts_normal"><?php print l('<img src="'. base_path() . path_to_theme() .'/images/normal_16.gif" width="16px" height="16px" alt="'. t('Normal') .'" class="ts_normal text_display_hidden ts_rollover" />', 'textsize/normal', array('attributes' => array('title' => $block_title .': '. t('Normal') .' ='. $normal .'%', 'class' => 'ts_normal text_display_hidden ts_rollover', 'rel' => 'nofollow'), 'query' => $dest, 'html' => TRUE)); ?></li>
<?php endif; ?>
</ul>
<?php  if ($current_textsize): ?>
<p class="textsize_current <?php print $current_inline .' '. $display_current_textsize .' current_text_'. $display_current_textsize_text; ?>"><span class="<?php print $display_current_textsize_text; ?>"><?php print $current_textsize_text; ?>: </span><span id="textsize_current" title="<?php print $current_textsize_text .': '. $textsize .'%'; ?>"><?php print $textsize; ?>%</span></p>
<?php endif; ?>
<div class="ts_clear"></div>
